#ifndef __ASM_SYSTEM_H
#define __ASM_SYSTEM_H

#define sti() __asm__ __volatile__ ("sti": : :"memory")
#define cli() __asm__ __volatile__ ("cli": : :"memory")

#define nop() __asm__ __volatile__ ("nop")

#define save_flags(x) \
__asm__ __volatile__("pushfl ; popl %0":"=r" (x): /* no input */ :"memory")

#define restore_flags(x) \
__asm__ __volatile__("pushl %0 ; popfl": /* no output */ :"r" (x):"memory")

#define mb()  __asm__ __volatile__ ("" ::: "memory")

#endif
