#ifndef _LINUX_MM_H
#define _LINUX_MM_H

#include <linux/errno.h>

#define GFP_BUFFER	0x00
#define GFP_ATOMIC	0x01
#define GFP_USER	0x02
#define GFP_KERNEL	0x03
#define GFP_NOBUFFER	0x04
#define GFP_NFS		0x05
#define GFP_DMA         0x80

#ifndef LINUX_MACH_INCLUDE
#define verify_area(type, addr, size)	(0)
#endif

extern unsigned long linux_high_memory;
#ifndef LINUX_MACH_INCLUDE
#define high_memory	linux_high_memory
#endif

#endif
