#ifndef _LINUX_SCHED_H
#define _LINUX_SCHED_H

#include <asm/system.h>
#ifndef LINUX_MACH_INCLUDE
#include <asm/param.h>
#endif
#include <linux/ptrace.h>
#include <linux/mm.h>
#ifndef LINUX_MACH_INCLUDE
#include <linux/time.h>
#include <linux/signal.h>
#endif

#ifndef NULL
#define NULL ((void *) 0)
#endif

extern	volatile unsigned long elapsed_ticks;
extern	unsigned long linux_intr_count;
extern	int EISA_bus;

extern	int linux_request_irq();
extern	void linux_free_irq();

#ifndef LINUX_MACH_INCLUDE
#define jiffies		elapsed_ticks
#define intr_count	linux_intr_count
#define request_irq	linux_request_irq
#define free_irq	linux_free_irq
#define start_bh_atomic

#define barrier()	__asm__("": : :"memory")
#endif

#endif
